#property show_inputs
extern int MaxRisk    = 2; //      
extern int MAPeriod   = 25; //   
extern int TakeProfit = 0;
extern int StopLoss   = 0;
int start()
{
if(DayOfWeek()==0 || DayOfWeek()==6) return(0); //    
if(!IsTradeAllowed()) return(0); //     
double lot = LotSelect(MaxRisk); //     
if (lot == 0){                   //        
 double Free =AccountFreeMargin();
 double One_Lot =MarketInfo(Symbol(),MODE_MARGINREQUIRED);
 double Min_Lot =MarketInfo(Symbol(),MODE_MINLOT);
 MessageBox("       .   : "+Free+",  : "+One_Lot*Min_Lot," !!!");
 return(0);
}                               //      
double ma=iMA(NULL,0,MAPeriod,0,MODE_SMMA,PRICE_CLOSE,1); //       
int oBuy=0,oSell=0;
for(int i=OrdersTotal() -1;i>=0;i--)
if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
{
if(OrderType()==OP_SELL) oSell++;
if(OrderType()==OP_BUY) oBuy++;
}
if(oBuy == 0 && Open[1]< ma && Close[1]> ma) 
{ 
   if (oSell == 1)
   {
      for(int j = OrdersTotal() - 1 ; j >= 0 ; j--)
      {
         if(OrderSelect(j,SELECT_BY_POS,MODE_TRADES)) CloseOrder();
      }
    }
    Stavka(oBuy, oSell, TakeProfit, StopLoss);
}
if(oSell==0 && Open[1]>ma && Close[1]<ma)
{ 
   if (oBuy == 1)
   {
      for(int k = OrdersTotal()- 1 ; k>=0 ; k--)
      {
         if(OrderSelect(k,SELECT_BY_POS,MODE_TRADES)) CloseOrder();
      }
   }
   Stavka(oBuy, oSell, TakeProfit, StopLoss);
 }
 
 return(0);
}
double LotSelect(int MaxRisk)
{  
   double Free =AccountFreeMargin();                           //    
   double One_Lot =MarketInfo(Symbol(),MODE_MARGINREQUIRED);   //     1.00 
   double Step =MarketInfo(Symbol(),MODE_LOTSTEP);             //    0.01       0.11
   double Min_Lot =MarketInfo(Symbol(),MODE_MINLOT);           //  
   double Max_Lot =MarketInfo(Symbol(),MODE_MAXLOT);           //  
   double Lot =MathFloor(Free*MaxRisk/100/One_Lot/Step)*Step;  
   if(Lot<Min_Lot) Lot=Min_Lot;
   if(Lot>Max_Lot) Lot=Max_Lot;
   if(Free<Min_Lot*One_Lot){ return(0.0);}
   return(Lot); 
}
void Stavka(int oBuy, int oSell, int TakeProfit, int StopLoss)
 {
double buyTP=0; //  
double sellTP=0; //  
double buySL=0; //  
double sellSL=0; //  
if(TakeProfit>0)
  {buyTP=Ask+TakeProfit*Point;
   sellTP=Bid-TakeProfit*Point;}
if(StopLoss>0)
  {buySL=Ask-StopLoss*Point;
   sellSL=Bid+StopLoss*Point;}
   if(oBuy == 1)
   { 
   while(!IsTradeAllowed()) Sleep(100);
   OrderSend(Symbol(),OP_BUY,LotSelect(MaxRisk),Ask,3,buySL,buyTP,"   ",0,0,CLR_NONE);
   }
   if(oSell == 1)
   {
   while(!IsTradeAllowed()) Sleep(100);
   OrderSend(Symbol(),OP_SELL,LotSelect(MaxRisk),Bid,3,sellSL,sellTP,"   ",0,0,CLR_NONE);
    }
   return(0);
 }
void CloseOrder()
{
double PR=0;
 while(!IsTradeAllowed()) Sleep(100);
 if(OrderType()== OP_BUY)  PR=Bid;
 if(OrderType()== OP_SELL) PR=Ask;
 if(!OrderClose(OrderTicket(),OrderLots(),PR,3,CLR_NONE))
   Print("  : ",GetLastError());
 return(0);
}